Changes

Jump to: navigation, search

Talk:Preloader

8,128 bytes added, 20:51, 31 December 2011
m
no edit summary
:You need to press A, 2, and then 1 in sequence on the warning screen. At least, that's what I was told. --[[User:Bdr9|Bdr9]] 23:00, 3 April 2009 (UTC)
::You only need to Press 1. [[User:Djdynamite123 |Djdynamite123]] 15:27, 9th April 2009 (UTC)
:::Yo, got the same prob. I have SM4.1u, virtually unmodded, except HBC. Help please!!! [[User:palz |palz]] 23:44, 28th August 2009 (UTC)
== SDHC Conflict ==
== Updating Preloader (0.27-0.29) ==
Since the from-console online update is broken/unavailable to 0.29, is the best way to just launch the .dol install out of HBC/TH SD card again or are there changes I should make in the configuration first?
 
Is it true that version 0.29 bricks your Wii? [[User:Keyboard mouse|Keyboard mouse]] 15:36, 16 May 2010 (UTC)
:no its not true. it was a april fool joke. and it only looked like it was bricked while it wasn't --[[User:DacoTaco|DacoTaco]] 05:00, 17 May 2010 (UTC)
== hacks page ==
I need a version of Preloader that supports the gamecube controller as I used Dop-IOS to dop IOS60. The System Menu then stopped working. I had Preloader 0.29 installed prior, but now the Wii remote will not sync so I cannot reinstall Preloader as I have told I need to do. If I use Gecko OS to launch a Wii game the Wii remotes syncs no problem, but other than that, I have no Wii Remote support. [[User:Ccfman2004|Ccfman2004]] 18:31, 24 July 2009 (UTC)
 
Try using the "shutdown to" option and set it to "preloader". Then launch a Wii game through Gecko OS, and sync the wiimotes. Then press the wiimote power button. You should then return to preloader with synced wiimotes. From there, launch the HBC, and then run the installer. When it finishes, you should be able to boot the System Menu. [[User:Intrepidd1|Intrepidd1]] 03:31, 30 August 2009 (UTC)
== Does this work with 4.0? ==
--[[User:Terry|Terry]] 19:43, 12 August 2009 (UTC)
:Yes. In fact, Preloader 0.29 was designed to support 4.0. --[[User:Dialexio|Dialexio]] 20:27, 12 August 2009 (UTC)
::Yes, and it supports 4.1, you just have to reinstall it after updating and fine the hacks.ini file specifically for that version. I would use Waninkoko's 4.1 updater though because it's the newest system version[[User:Kiwisoup|Kiwisoup]] 05:25, 15 August 2009 (UTC)
 
== The system files are corrupted ==
 
I installed Preloader 0.29 and received the message:
 
 
"The system files are corrupted.
Please refer to the Wii Operations Manual
for help troubleshooting."
 
[removed by author]
 
Anyone I used RestoreMii (backed-up just before attempting the install) and all is well. [[User:Malexous|malexous]] 14:24, 6 September 2009 (UTC)
 
:Did you make sure you were booting into the right IOS? It should be IOS60 on the newer versions. As in preloader, when I tried booting with IOS55, I got system corrupt. I restarted, reset to IOS60, and it worked fine. --[[User:RePod|[RePod]]] 03:32, 3 October 2009 (UTC)
 
== Nothing Working ==
 
Im a noobie, I've managed to get the black screen, system corrupt etc - tried the preloader/hacks on mem card, reset button, etc but nothing loads other than the corrupt page..
 
Please help a noob in need!?
 
[[User:Deviouspaul|Deviouspaul]] 21:34, 15 September 2009 (UTC)
 
== question ==
 
IF YOU HAVE A GAMECUBE ACTION REPLAY AND YOU USE AUTO BOOT WILL IT RUN? <small>—Preceding unsigned comment added by [[User:Wiier|Wiier]] ([[User talk:Wiier|talk]] • [[Special:Contributions/Wiier|contribs]]) </small>
 
== 4.2 ==
 
I am a victim of the 4.2 update. I looked and saw the Preloader can be installed with v.0.30 but when I try to start it up, nothing happened. Don't tell me I need the HBC to do this cuz its already deleted... --[[User:RPD490|RPD490]] 20:50, 29 September 2009 (UTC)
 
== Preloader 0.29 and HBC 1.0.5 ==
 
Do not upgrade your HBC to 1.0.5 if you have not upgraded to System Menu 4.2. With the changed TitleID for HBC preloader will not let you boot to HBC even if you brick. If you want preloader to continue working stay at the older version. <small>—Preceding unsigned comment added by [[User:Viper831|Viper831]] ([[User talk:Viper831|talk]] • [[Special:Contributions/Viper831|contribs]]) 03:37, 5 October 2009 (UTC)</small>
 
or use a HBC booter found on the internet (much like bootmii_booter but which boots the HBC) --[[User:DacoTaco|DacoTaco]] 19:19, 6 October 2009 (UTC)
 
 
== Compiling 0.30 ==
 
quick Q? in the nfo file that comes with the sources it states "Before you can compile anything you need to place a certs.bin into the data directory." where can this file be found and for compileing what would it be used for when it comes to preloader?--[[User:Trigger ftu|Trigger ftu]] 21:58, 7 October 2009 (UTC)
 
on your wii FS. in the sys folder i think (cert.sys)
--[[User:DacoTaco|DacoTaco]] 04:50, 8 October 2009 (UTC)
 
::I can't compile it... any instruction ?
 
$ make
certs.bin
bin2s -a 32 /home/goldy/Apps/wii/preloaderv0.30-src/data/certs.bin | powerpc-gekko-as -o certs.bin.o
echo "extern const u8" `(echo certs.bin | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`"_end[];" > `(echo certs.bin | tr . _)`.h
echo "extern const u8" `(echo certs.bin | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`"[];" >> `(echo certs.bin | tr . _)`.h
echo "extern const u32" `(echo certs.bin | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`_size";" >> `(echo certs.bin | tr . _)`.h
su.tik
bin2s -a 32 /home/goldy/Apps/wii/preloaderv0.30-src/data/su.tik | powerpc-gekko-as -o su.tik.o
echo "extern const u8" `(echo su.tik | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`"_end[];" > `(echo su.tik | tr . _)`.h
echo "extern const u8" `(echo su.tik | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`"[];" >> `(echo su.tik | tr . _)`.h
echo "extern const u32" `(echo su.tik | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`_size";" >> `(echo su.tik | tr . _)`.h
su.tmd
bin2s -a 32 /home/goldy/Apps/wii/preloaderv0.30-src/data/su.tmd | powerpc-gekko-as -o su.tmd.o
echo "extern const u8" `(echo su.tmd | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`"_end[];" > `(echo su.tmd | tr . _)`.h
echo "extern const u8" `(echo su.tmd | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`"[];" >> `(echo su.tmd | tr . _)`.h
echo "extern const u32" `(echo su.tmd | sed -e 's/^\([0-9]\)/_\1/' | tr . _)`_size";" >> `(echo su.tmd | tr . _)`.h
error.cpp
/home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp:25:20: warning: gccore.h: No such file or directory
In file included from /home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp:30:
/home/goldy/Apps/wii/preloaderv0.30-src/include/settings.h:71: error: 'u32' does not name a type
/home/goldy/Apps/wii/preloaderv0.30-src/include/settings.h:72: error: 'u32' does not name a type
/home/goldy/Apps/wii/preloaderv0.30-src/include/settings.h:73: error: 'u32' does not name a type
/home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp:33: error: 'u32' does not name a type
/home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp: In function 'void ShowError()':
/home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp:37: error: 'error' was not declared in this scope
/home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp:39: error: 'SGetSetting' was not declared in this scope
/home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp:40: error: 'vu32' was not declared in this scope
/home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp:40: error: expected primary-expression before ')' token
/home/goldy/Apps/wii/preloaderv0.30-src/source/error.cpp:40: error: expected `;' before numeric constant
make[1]: *** [error.o] Erreur 1
make: *** [build] Erreur 2
 
--[[User:Goldy|Goldy]] 18:33, 11 October 2009 (UTC)
 
you dont have devkitppc/libogc or you dont have it setup right. --[[User:DacoTaco|DacoTaco]] 18:57, 11 October 2009 (UTC)
 
== Added .29 Download ==
 
I added it since its the last official compiled download, so yeah, its important to have.
 
== How Do I install this? ==
 
how do I run the preloader.dol thing from HBC? <small>—Preceding unsigned comment added by [[User:Boondox|Boondox]] ([[User talk:Boondox|talk]] • [[Special:Contributions/Boondox|contribs]]) 00:15, 26 July 2010 (CET)</small>
 
== 4.2/3 MAJOR HELP ==
 
HOW DO I INSTALL THIS ON 4.2 AND 4.3 (IF ITS POSSIBLE) I NEED MAJOR HELP <small>—Preceding unsigned comment added by [[User:Brute83301|Brute83301]] ([[User talk:Brute83301|talk]] • [[Special:Contributions/Brute83301|contribs]]) 21:57, 12 August 2010 (CET)</small>
 
== Won't appear ==
 
Hi, When I put preloaderv0.29.dol in apps, it doesn't appear on HBC. What am I doing wrong? <small>—Preceding unsigned comment added by [[User:Evilarceus|Evilarceus]] ([[User talk:Evilarceus|talk]] • [[Special:Contributions/Evilarceus|contribs]]) 23:13, 6 December 2011 (CET)</small>
 
:Oh, and I have Wii v4.3 <small>—Preceding unsigned comment added by [[User:Evilarceus|Evilarceus]] ([[User talk:Evilarceus|talk]] • [[Special:Contributions/Evilarceus|contribs]]) 23:14, 6 December 2011 (CET)</small>
 
:ok here's your problems. you put the dol in a separate file in the apps directory kinda like ms0:\apps\preloader\ and rename it boot.dol 2nd issue is you are using wii 4.3 preloader 4.3 isn't compatible with 4.3 last i checked. finally when you post here make sure you signature your posts, just throwing up comments on here w/o doing so isn't the most wise of ideas. --[[User:Trigger ftu|Trigger ftu]] 10:49, 11 December 2011 (CET)

Navigation menu